Bug 889176 - surf-geometry : does not adhere to Static Library Packaging Guidelines
Summary: surf-geometry : does not adhere to Static Library Packaging Guidelines
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: surf-geometry
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-20 12:35 UTC by Michael Schwendt
Modified: 2013-01-12 01:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-12 01:01:50 UTC
Type: ---


Attachments (Terms of Use)

Description Michael Schwendt 2012-12-20 12:35:45 UTC
surf-geometry-1.0.6-4.fc19.src
is missing
BuildRequires: flex-static

[...]

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

If a library you depend on only provides a static version your package can link against it provided that you BuildRequire the *-static subpackage. Packagers in such a situation should be aware that if a shared library becomes available, that you should adjust your package to use the shared library.

Comment 1 Fedora Update System 2012-12-20 22:45:19 UTC
surf-geometry-1.0.6-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/surf-geometry-1.0.6-5.fc18

Comment 2 Fedora Update System 2012-12-21 20:02:55 UTC
Package surf-geometry-1.0.6-5.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing surf-geometry-1.0.6-5.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20815/surf-geometry-1.0.6-5.fc18
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2013-01-12 01:01:52 UTC
surf-geometry-1.0.6-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.